Index: cdr/cdr_tds.c
===================================================================
--- cdr/cdr_tds.c	(revision 136034)
+++ cdr/cdr_tds.c	(working copy)
@@ -48,7 +48,8 @@
 	[billsec] [int] NULL ,
 	[disposition] [varchar] (20) NULL ,
 	[amaflags] [varchar] (16) NULL ,
-	[uniqueid] [varchar] (32) NULL
+	[uniqueid] [varchar] (32) NULL ,
+	[userfield] [varchar] (256) NULL 
 ) ON [PRIMARY]
 
 \endverbatim
@@ -106,7 +107,7 @@
 static int tds_log(struct ast_cdr *cdr)
 {
 	char start[80], answer[80], end[80];
-	char *accountcode, *src, *dst, *dcontext, *clid, *channel, *dstchannel, *lastapp, *lastdata, *uniqueid;
+	char *accountcode, *src, *dst, *dcontext, *clid, *channel, *dstchannel, *lastapp, *lastdata, *uniqueid, *userfield;
 	RETCODE erc;
 	int res = -1;
 
@@ -120,6 +121,7 @@
 	lastapp     = anti_injection(cdr->lastapp, 80);
 	lastdata    = anti_injection(cdr->lastdata, 80);
 	uniqueid    = anti_injection(cdr->uniqueid, 32);
+	userfield   = anti_injection(cdr->userfield, 256);
 
 	get_date(start, sizeof(start), cdr->start);
 	get_date(answer, sizeof(answer), cdr->answer);
@@ -154,7 +156,8 @@
 			"billsec, "
 			"disposition, "
 			"amaflags, "
-			"uniqueid"
+			"uniqueid, "
+			"userfield"
 		") "
 		"VALUES "
 		"("
@@ -174,7 +177,8 @@
 			"%ld, "		/* billsec */
 			"'%s', "	/* disposition */
 			"'%s', "	/* amaflags */
-			"'%s'"		/* uniqueid */
+			"'%s', "	/* uniqueid */
+			"'%s'"		/* userfield */
 		")",
 		settings->table,
 		accountcode,
@@ -193,7 +197,8 @@
 		cdr->billsec,
 		ast_cdr_disp2str(cdr->disposition),
 		ast_cdr_flags2str(cdr->amaflags),
-		uniqueid
+		uniqueid,
+		userfield
 	);
 
 	if (erc == FAIL) {
@@ -227,6 +232,7 @@
 	ast_free(lastapp);
 	ast_free(lastdata);
 	ast_free(uniqueid);
+	ast_free(userfield);
 
 	return res;
 }
